comstat25.jpg=25 channel CB radio.
hb-444-25-1.jpg=25 channel CB radio.
fanon_scout-2.jpg=Shadow 7 always wanted these since he was a kid and now he finally got them! He used these same models as a Scout. His patrol leader had a pair.
25a-016.jpg=25 channel CB radio.
Realistic TRC-225.JPG=Donated by Xerox Izumi from China
gladiator-1.jpg=Shadow 7 owned this actual radio.
gladiator-3.jpg=Shadow 7 owned this actual radio.
Pan_Handlers_base.JPG=This was Pan Handler's base. Given to Shadow 7 courtesy of AC's sister Cindy
pl-259.jpg=Did you ever see one like this?
hb444-25b-1.jpg=25 channel CB radio. One of the rare and most sought after Lafayette CB radios!
hb-444-25-2.jpg=25 channel CB radio.
fanon_scout-3.jpg=Shadow 7 always wanted these since he was a kid and now he finally got them! He used these same models as a Scout. His patrol leader had a pair.
25a-002.jpg=25 channel CB radio.
hb444-25b-2.jpg=25 channel CB radio. One of the rare and most sought after Lafayette CB radios!
gladiator-2.jpg=Shadow 7 owned this actual radio.
phantom500linear2008_smileybase.jpg=Courtesy Smiley Base
gonset_g-28.jpg=Modified to transmit and receive on 11 meters
Lafayette HB-444 25A-1.jpg=25 channel CB radio.
gladiator-5.jpg=Shadow 7 owned this actual radio.
excalibur_80-2.jpg=5 watt AM 80 channel 26.515 to 27.855 mhz in 2 bands. This radio has the O2A PLL chip.
hb-444-25-3.jpg=25 channel CB radio.
excalibur_80-1.jpg=5 watt AM 80 channel 26.515 to 27.855 mhz in 2 bands. This radio has the O2A PLL chip.
browning_golden_eagle_markIII-2008-smileybase.jpg=Courtesy Smiley Base
fanon_scout-1.jpg=Shadow 7 always wanted these since he was a kid and now he finally got them! He used these same models as a Scout. His patrol leader had a pair.
gladiator-4.jpg=Shadow 7 owned this actual radio.
fanon-adventurer-1.jpg=Shadow 7's first Walkie Talkie back in 1963.
